# ~/.bashrc: executed by bash(1) for non-login shells.

# --------------------------------
# Shell RC
# --------------------------------
PS1='${debian_chroot:+($debian_chroot)}\[\033[01;41m\]$(hostname)\[\033[00m\]\[\033[01;34m\] \w\[\033[00m\] \$ '

#
# Variables
#
export EDITOR=nvim
export PATH=~/bin:$PATH

#
# Aliases
#
alias ls='ls -al --color'
alias q=exit
alias a=clear
alias h=history
alias e=$EDITOR
alias n=nvim

#
# Functions
#
function myvim () {
  gvim $1 >& /dev/null &
  disown %1
}

function hgrep () {
  history | grep $1
}

function pgrep () {
  ps aux | grep $1
}

function u2d () {
    apt update && apt full-upgrade -y && apt autoremove -y
}
